What Stops 4.0 from being the firmware of choice

Discussion in 'Wii - Hacking' started by Majinchuck1, Apr 2, 2009.

  1. Majinchuck1
    OP

    Majinchuck1 Member

    Newcomer
    48
    0
    Jan 7, 2009
    United States
    Queens NY
    After Reading The guides on here it seem like you can Do Everything on 4.0 that you could on 3.2, including the latest iso loader. This, Combined with the fact that if you don't like it youcan always revert, makes me question why people are reluctant to leave the golden 3.2

    What Your Reason?

    oh and im not bashing the people on 3.2 as i havent even made the jump yet =p
     


  2. DarkLG

    DarkLG Wow One Shiny Ribbon!!!!

    Member
    1,401
    5
    Jun 21, 2007
    United States
    Indiana
    Um one reason is the Twilight Hack can't be copied over.
     
  3. duncans_pumpkin

    duncans_pumpkin Advanced Member

    Newcomer
    50
    0
    Feb 21, 2008
    3.1E plays all i have ever wanted and havent seen any usefull features in anything newer.
     
  4. brownmurder

    brownmurder GBAtemp Regular

    Member
    164
    0
    Oct 27, 2008
    United States
    with a working preloader on 4.0 i didnt see a need to stay on 3.2 any more


    give it time and everyone will be on 4.0 and that will become the new 3.2
     
  5. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    I'm waiting for all the kinks to be worked out in 4.0 safe updating before making the jump. I want to be sure I have more than just cIOS as a fallback and I'd like to be able to autoboot TP in the event of a banner brick.
     
  6. urherenow

    urherenow GBAtemp Addict

    Member
    2,916
    845
    Mar 8, 2009
    United States
    Japan
    can't copy Twilight hack? I'm not trying to start a fight here but that's the most retarded thing I've heard in a while. If you have cIOS installed and the HBC there is no need for that hack anyway! Install it first, then upgrade using the guides. I'm on 4.0u and I can run backups from the disc channel (even Japanese games) and use the new SD menu etc... no, there is no a reason not to upgrade if you can follow directions properly!
     
  7. Fulgore

    Fulgore Member

    Newcomer
    41
    0
    Dec 14, 2008
    United States
    Lack of [working] region free disk channel loading?
     
  8. TheWiiNinja

    TheWiiNinja GBAtemp Regular

    Member
    112
    0
    Mar 14, 2009
    United States
    Texas
    For me, it's Preloader's hacks aren't all there for NTSC and no custom themes for menus. I really don't care for the new 4.0 features that much.
     
  9. Javier78

    Javier78 Advanced Member

    Newcomer
    64
    0
    Nov 23, 2008
    United States
    The new terms of service where it updates the Wii automatically?

    That is seriously the only thing that is keeping me from upgrading.
     
  10. Skarface05

    Skarface05 GBAtemp Fan

    Member
    453
    0
    Dec 11, 2008
    Bath
    SoftMii Tweaks works on 4.0 - So you can all install themes on this system version.

    We will be releasing some new themes soon.

    Feel free to whip some up tho and post for others to use [​IMG]

    The app number would be different so it would be 00000072.app (ntsc) & 00000075.app (pal)
     
  11. Zenith94

    Zenith94 1337 h4x0r f0r t3h w1nz

    Member
    825
    0
    Jul 22, 2008
    United States
    I updated without any cios so at 4.0 now i cant do anything. thats why.
     
  12. DarkLG

    DarkLG Wow One Shiny Ribbon!!!!

    Member
    1,401
    5
    Jun 21, 2007
    United States
    Indiana
    Um not starting a fight he asked what does it eliminate thats what it eliminates other than that there is no real reason why not to update.
     
  13. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    Having the Twilight Hack on my system is a big part of brick protection. If a bad wad screws up my system menu then because of Starfall I can autoboot into Zelda TP and run Wad Manager. I haven't messed with Preloader at all since I don't have a reason to make the jump from Starfall.
     
  14. PrincessPeach

    PrincessPeach Member

    Newcomer
    33
    4
    Nov 30, 2005
    Swaziland
    The big disadvantage of 4.0 is, that it's currently not possible to enable homebrew without an already installed HBC and cIOS.
    If HBC is removed, it can't be copied back.

    Advantages over 3.2 are mostly what Nintendo said:
    - SDHC usage for Wii Storage
    - Directly boot Channels from SD-Card
    - Faster Copying from and to SD-Card
    - Access to Shop Channel (For those which use it anyway)

    I also discovered a shorter booting time of various Channels and the System Menu if NAND is full or many Channels installed.
     
  15. rommy667

    rommy667 GBAtemp Advanced Fan

    Member
    514
    7
    Mar 21, 2008
    Down the road around the corner
    I was a 3.2E starfall for AGES but im glad i did the 4.0 & startpatch its way better imo [​IMG]
     
  16. gblock247

    gblock247 GBAtemp Fan

    Member
    462
    3
    Dec 19, 2007
    United States
    If the only thing I want to do is the ability to instal/uninstall/ VC/WiiWare wads(and play the games of course, if I plan on playing backups, I will get it hardmodded in the future) is it ok to update to 4.0? Also is there an app that I should install to stop forced updates (like from Madworld) or from future new games? Been out of the loop for almost a year for the Wii. Thanks [​IMG]
     
  17. lavamasta

    lavamasta GBAtemp Regular

    Member
    197
    0
    Feb 21, 2009
    United States
    definately because of preloader... because 4.1 will come out soon enough and then the disc update checks will come around and who knows if we will ever get a working preloader or starfall on 4.o
     
  18. TheWiiNinja

    TheWiiNinja GBAtemp Regular

    Member
    112
    0
    Mar 14, 2009
    United States
    Texas
    Awesome. I didn't know that. I guess once all the Preloader hacks work on NTSC, I'll upgrade.
     
  19. Bloodgod

    Bloodgod 嵐の王

    Member
    806
    0
    Mar 25, 2007
    United States

    Anyone know of a tutorial this guy is talking about? I'm on 3.3 and I want to update.
     
  20. wanders

    wanders Advanced Member

    Newcomer
    63
    0
    Dec 14, 2008
    United States
    If it ain't broke, don't fix it.

    How's that for a reason not to update? /shrug